Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1079111 - Review Request: rubygem-chef-zero - Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes
Summary: Review Request: rubygem-chef-zero - Self-contained, easy-setup, fast-start in...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Cleal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 823352
TreeView+ depends on / blocked
 
Reported: 2014-03-21 02:36 UTC by Julian C. Dunn
Modified: 2014-06-17 23:32 UTC (History)
4 users (show)

Fixed In Version: rubygem-chef-zero-2.1.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-17 23:32:22 UTC
dcleal: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
rpmlint of 2.0.2-1 (deleted)
2014-06-05 08:07 UTC, Dominic Cleal
no flags Details
rpmlint of 2.1.5-1 (deleted)
2014-06-06 15:33 UTC, Dominic Cleal
no flags Details

Description Julian C. Dunn 2014-03-21 02:36:01 UTC
Spec URL: http://people.fedoraproject.org/~jdunn/rubygem-chef-zero/rubygem-chef-zero.spec
SRPM URL: http://people.fedoraproject.org/~jdunn/rubygem-chef-zero/rubygem-chef-zero-2.0.2-1.fc20.src.rpm

Description: Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes.

This is a pre-requisite to getting Chef into Fedora.

Comment 1 Achilleas Pipinellis 2014-04-16 16:21:14 UTC
Fix review title as per: 

Review Request: <main package name> - <short summary>

Comment 2 Dominic Cleal 2014-06-05 08:07:12 UTC
Created attachment 902442 [details]
rpmlint of 2.0.2-1

Issues:
=======
- LICENSE should be in main package as %doc
- mixlib-log/hashie requires are missing version specifications
- latest version not packaged (2.1.5 vs 2.0.2)
- License fields should be "ASL 2.0"
- rpmlint (E): summary-too-long, 79 chars max
- rpmlint (W): macro-in-comment %gem_dir, may be removed
- rpmlint (W): no-manual-page-for-binary chef-zero, should file an upstream
  bug report to request one (can be waived)


Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 50 files have unknown license.
     Detailed output of licensecheck in /home/dcleal/tmp/1079111/review-
     rubygem-chef-zero/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[X]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[X]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude
     /usr/share/gems/cache/chef-zero-2.0.2.gem, /usr/share/gems/specifications
     /chef-zero-2.0.2.gemspec
[x]: Gem package should exclude cached Gem.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-chef-zero-2.0.2-1.fc20.noarch.rpm
          rubygem-chef-zero-doc-2.0.2-1.fc20.noarch.rpm
          rubygem-chef-zero-2.0.2-1.fc20.src.rpm
rubygem-chef-zero.noarch: E: summary-too-long C Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes
rubygem-chef-zero.noarch: W: invalid-license Apache 2.0
rubygem-chef-zero.noarch: W: no-documentation
rubygem-chef-zero.noarch: W: no-manual-page-for-binary chef-zero
rubygem-chef-zero-doc.noarch: W: invalid-license Apache 2.0
rubygem-chef-zero.src: E: summary-too-long C Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes
rubygem-chef-zero.src: W: invalid-license Apache 2.0
rubygem-chef-zero.src:50: W: macro-in-comment %gem_dir
3 packages and 0 specfiles checked; 2 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-chef-zero rubygem-chef-zero-doc
rubygem-chef-zero.noarch: E: summary-too-long C Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes
rubygem-chef-zero.noarch: W: invalid-license Apache 2.0
rubygem-chef-zero.noarch: W: no-documentation
rubygem-chef-zero.noarch: W: no-manual-page-for-binary chef-zero
rubygem-chef-zero-doc.noarch: W: invalid-license Apache 2.0
2 packages and 0 specfiles checked; 1 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-chef-zero (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/ruby
    ruby(release)
    ruby(rubygems)
    rubygem(hashie)
    rubygem(json)
    rubygem(mixlib-log)
    rubygem(rack)

rubygem-chef-zero-doc (rpmlib, GLIBC filtered):
    rubygem-chef-zero



Provides
--------
rubygem-chef-zero:
    rubygem(chef-zero)
    rubygem-chef-zero

rubygem-chef-zero-doc:
    rubygem-chef-zero-doc



Source checksums
----------------
https://rubygems.org/gems/chef-zero-2.0.2.gem :
  CHECKSUM(SHA256) this package     : a8d12f3f59f2e6442353c1d4c8c0df1ac9dd2cc88a134244fb15d5f8c1e2fc1b
  CHECKSUM(SHA256) upstream package : a8d12f3f59f2e6442353c1d4c8c0df1ac9dd2cc88a134244fb15d5f8c1e2fc1b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n rubygem-chef-zero
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Julian C. Dunn 2014-06-05 22:06:04 UTC
Hi Dominic; thanks for the review. I've fixed the issues that I could, and updated to 2.1.5.

Spec URL: http://people.fedoraproject.org/~jdunn/rubygem-chef-zero/rubygem-chef-zero.spec
SRPM URL: http://people.fedoraproject.org/~jdunn/rubygem-chef-zero/rubygem-chef-zero-2.1.5-1.fc21.src.rpm

Comment 4 Dominic Cleal 2014-06-06 14:14:58 UTC
Looks better, though we seem to have lost the Requires for ruby, hashie, rack etc.

Comment 5 Julian C. Dunn 2014-06-06 14:58:42 UTC
(In reply to Dominic Cleal from comment #4)
> Looks better, though we seem to have lost the Requires for ruby, hashie,
> rack etc.

Hi Dominic - I took those out deliberately because the Ruby packaging guidelines were recently updated with this text:

"There should not be any rubygem Requires nor Provides listed, since those are autogenerated."

https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#RubyGems

Comment 6 Dominic Cleal 2014-06-06 15:32:56 UTC
(In reply to Julian C. Dunn from comment #5)
> (In reply to Dominic Cleal from comment #4)
> > Looks better, though we seem to have lost the Requires for ruby, hashie,
> > rack etc.
> 
> Hi Dominic - I took those out deliberately because the Ruby packaging
> guidelines were recently updated with this text:
> 
> "There should not be any rubygem Requires nor Provides listed, since those
> are autogenerated."
> 
> https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#RubyGems

Very neat, I hadn't seen that.  I erroneously built it on F20 rather than rawhide, where they weren't generated automatically.  If you want to use it on F20 or EL6, you'll need to add dependencies and either ruby(release) or ruby(abi) as appropriate.

I have no remaining issues, the package is ready to ship IMHO.  Thanks!


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 53 files have unknown license.
     Detailed output of licensecheck in /home/dcleal/tmp/1079111b/review-
     rubygem-chef-zero/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[x]: Gem should use %gem_install macro.
[x]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude
     /usr/share/gems/cache/chef-zero-2.1.5.gem, /usr/share/gems/specifications
     /chef-zero-2.1.5.gemspec
[x]: Gem package should exclude cached Gem.
[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-chef-zero-2.1.5-1.fc21.noarch.rpm
          rubygem-chef-zero-doc-2.1.5-1.fc21.noarch.rpm
          rubygem-chef-zero-2.1.5-1.fc21.src.rpm
rubygem-chef-zero.noarch: W: no-manual-page-for-binary chef-zero
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-chef-zero rubygem-chef-zero-doc
rubygem-chef-zero.noarch: W: no-manual-page-for-binary chef-zero
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-chef-zero (rpmlib, GLIBC filtered):
    /usr/bin/env
    /usr/bin/ruby
    ruby(rubygems)
    rubygem(hashie)
    rubygem(json)
    rubygem(mixlib-log)
    rubygem(rack)

rubygem-chef-zero-doc (rpmlib, GLIBC filtered):
    rubygem-chef-zero



Provides
--------
rubygem-chef-zero:
    rubygem(chef-zero)
    rubygem-chef-zero

rubygem-chef-zero-doc:
    rubygem-chef-zero-doc



Source checksums
----------------
https://rubygems.org/gems/chef-zero-2.1.5.gem :
  CHECKSUM(SHA256) this package     : 58313b02bef4bb3ded074560886e61206abbd759331e24868001a8fb6bfbacfc
  CHECKSUM(SHA256) upstream package : 58313b02bef4bb3ded074560886e61206abbd759331e24868001a8fb6bfbacfc


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n rubygem-chef-zero -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 7 Dominic Cleal 2014-06-06 15:33:33 UTC
Created attachment 902961 [details]
rpmlint of 2.1.5-1

Comment 8 Julian C. Dunn 2014-06-06 16:05:39 UTC
(In reply to Dominic Cleal from comment #6)
> (In reply to Julian C. Dunn from comment #5)
> > (In reply to Dominic Cleal from comment #4)
> > > Looks better, though we seem to have lost the Requires for ruby, hashie,
> > > rack etc.
> > 
> > Hi Dominic - I took those out deliberately because the Ruby packaging
> > guidelines were recently updated with this text:
> > 
> > "There should not be any rubygem Requires nor Provides listed, since those
> > are autogenerated."
> > 
> > https://fedoraproject.org/wiki/Packaging:Ruby?rd=Packaging/Ruby#RubyGems
> 
> Very neat, I hadn't seen that.  I erroneously built it on F20 rather than
> rawhide, where they weren't generated automatically.  If you want to use it
> on F20 or EL6, you'll need to add dependencies and either ruby(release) or
> ruby(abi) as appropriate.

Good point, I knew there was a reason for me having had those in there. I'll put 'em back when I import.

Comment 9 Julian C. Dunn 2014-06-06 16:07:55 UTC
New Package SCM Request
=======================
Package Name: rubygem-chef-zero
Short Description: Self-contained, easy-setup, fast-start in-memory Chef server for testing and solo setup purposes
Upstream URL: https://github.com/opscode/chef-zero
Owners: jdunn
Branches: f19 f20 el6 epel7
InitialCC:

Comment 10 Gwyn Ciesla 2014-06-06 16:49:54 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-06-06 17:46:28 UTC
rubygem-chef-zero-2.1.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-chef-zero-2.1.5-1.fc20

Comment 12 Fedora Update System 2014-06-06 20:02:46 UTC
rubygem-chef-zero-2.1.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-chef-zero-2.1.5-2.el6

Comment 13 Fedora Update System 2014-06-09 15:35:46 UTC
rubygem-chef-zero-2.1.5-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 14 Fedora Update System 2014-06-17 23:32:22 UTC
rubygem-chef-zero-2.1.5-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.